﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfTestRadioButton
{
    public class SubmitUserViewModel : INotifyPropertyChanged
    {
        public SubmitUserView View { get; set; }

        public SubmitUserViewModel()
        {
            this.CurrentSex = Sex.Male;
        }

        private Sex currentSex;
        public Sex CurrentSex
        {
            get
            {
                return currentSex;
            }

            set
            {
                if (currentSex != value)
                {
                    currentSex = value;
                    OnPropertyChanged("CurrentSex");
                }
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion
    }

    public enum Sex
    {
        Male = 1,
        Female = 2,
        ThirdSex = 4
    }
}